► |  | Sprachebenen und Material zu Schreibe Dein Programm! / Die Macht der Abstraktion

1 | Die Macht der Abstraktion - Anfänger
2 | Die Macht der Abstraktion
3 | Die Macht der Abstraktion mit Zuweisungen
4 | Die Macht der Abstraktion fortgeschritten
5 | Konstruktionsanleitungen 1 bis 10
6 | Bilder konstruieren: "image.ss"
7 | Animationen: "world.ss"
8 | Turtle-Grafik: "turtle.ss"
9 | Abspielen von Audio-Dateien: "sound.ss"
10 | 3D-Liniengraphik: "line3d.ss"
11 | DMd A: Sprachen als Libraries
| Index

▼ | 3 | Die Macht der Abstraktion mit Zuweisungen

3.1 | define-record-procedures-2
3.2 | define-record-procedures-parametric-2
3.3 | begin
3.4 | set!
3.5 | Signaturen
3.6 | Definitionen
3.7 | lambda / λ
3.8 | Primitive Operationen

On this page:

lambda
λ

top ← prev up next →

#### 3.7`` lambda / λ

> > syntax

> > (lambda (id id ... . id) expr)

Bei lambda ist in dieser Sprachebene in einer Form zulässig, die es erlaubt, eine Prozedur mit einer variablen Anzahl von Paramern zu erzeugen: Alle Parameter vor dem Punkt funktionieren wie gewohnt und werden jeweils an die entsprechenden Argumente gebunden. Alle restlichen Argumente werden in eine Liste verpackt und an den Parameter nach dem Punkt gebunden.

> > syntax

> > (λ (id id ... . id) expr)

λ ist ein anderer Name für lambda.
top ← prev up next →